Subject: Re: [bess] I-D Action: draft-www-bess-yang-vpn-service-pm-06.txt

From: Qin Wu <[email-masked]>
Date: Wed, 22 Apr 2020 08:44:13 +0000

Hi, folks:
Here is the update of draft-www-bess-yang-vpn-service-pm, the version is v-06, 
https://datatracker.ietf.org/doc/html/draft-www-bess-yang-vpn-service-pm-06
the main changes include:
1. Add vpn-summary-statistis related to vpn route at the network level.
2.Add reference time and measurement interval associated with performance measurement data
3.Replace average-delay-value at the link level with low-delay-percentile, middle-delay-percentile and high-delay-percentile
4.Replace average-jitter-value at the link level with low-jitter-percentile, middle-jitter-percentile and high-jitter-percentile
5.Add low-percentile, middle-percentile, high-percentile at the network level
Your comments and suggestions are welcome.

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2020年4月22日 16:32
收件人: [email-masked]
主题: I-D Action: draft-www-bess-yang-vpn-service-pm-06.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : A YANG Model for Network and VPN Service Performance Monitoring
        Authors         : Qin Wu
                          Mohamed Boucadair
                          Oscar Gonzalez de Dios
                          Bin Wen
                          Change Liu
                          Honglei Xu
	Filename        : draft-www-bess-yang-vpn-service-pm-06.txt
	Pages           : 29
	Date            : 2020-04-22

Abstract:
   The data model defined in RFC8345 introduces vertical layering
   relationships between networks that can be augmented to cover
   network/service topologies.  This document defines a YANG model for
   both Network Performance Monitoring and VPN Service Performance
   Monitoring that can be used to monitor and manage network performance
   on the topology at higher layer or the service topology between VPN
   sites.

   This model is designed as an augmentation to the network topology
   YANG data model defined in RFC8345.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-www-bess-yang-vpn-service-pm/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-www-bess-yang-vpn-service-pm-06
https://datatracker.ietf.org/doc/html/draft-www-bess-yang-vpn-service-pm-06

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-www-bess-yang-vpn-service-pm-06

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Qin Wu <[email-masked]>
Date: Thu, 30 Apr 2020 07:00:06 +0000

Stephane:
Thanks for comments in BESS interim meeting,
Your comments is more about whether this document defines new metrics or mechanisms for measuring performance?
I think the answer is no, but the document doesn’t make that clear. This document make use of metrics and structures defined elsewhere.
There are import clauses, but the text could be clearer on this point. Here is the proposed change to abstract and introduction section:
Abstract
OLD
   This model is designed as an augmentation to the network topology
   YANG data model defined in RFC8345.
NEW
   This document does not define metrics for network performance or
   mechanisms for measuring network performance.  The YANG model
   defined in this document is designed as an augmentation to the
   network topology YANG model defined in RFC 8345 and draws on relevant
   YANG types defined in RFC 6991, RFC 8299, RFC 8345, and RFC 8532.
END

Introduction
OLD
   Three types of VPN service topologies are supported in [RFC8299]:
   "any to any", "hub and spoke", and "hub and spoke disjoint".  These
   VPN topology types can be used to describe how VPN sites communicate
   with each other.

   This document defines a YANG Model for both Network Performance
   Monitoring and VPN Service Performance Monitoring (see Section 2.2.4
   of [RFC4176]) that can be used to monitor and manage network
   Performance on the topology at higher layer or the service topology
   between VPN sites.

   The model is designed as an augmentation to the network topology YANG
   data model defined in [RFC8345].
NEW
   [RFC8299] defines a YANG model for L3VPN Service Delivery.  Three
   types of VPN service topologies are supported in [RFC8299]: "any to
   any", "hub and spoke", and "hub and spoke disjoint".  These VPN
   topology types can be used to describe how VPN sites communicate with
   each other.

   [RFC4176] provides a framework for L3VPN operations and management.
   Section 2.2.4 of that document describes performance management.  
   This document defines a YANG Model for both network performance
   monitoring and VPN service performance monitoring that can be used to
   monitor and manage network performance on the topology at higher
   layer or the service topology between VPN sites.

   This document does not define metrics for network performance or
   mechanisms for measuring network performance.  The YANG model
   defined in this document is designed as an augmentation to the
   network topology YANG model defined in [RFC8345] and draws on 
   relevant YANG types defined in [RFC6991], [RFC8299], [RFC8345], and
   [RFC8532].
END
Let me if these changes address your comments.

-Qin
-----邮件原件-----
发件人: BESS [mailto:[email-masked]] 代表 Qin Wu
发送时间: 2020年4月22日 16:44
收件人: [email-masked]
抄送: Oscar González de Dios <[email-masked]>; [email-masked]
主题: Re: [bess] I-D Action: draft-www-bess-yang-vpn-service-pm-06.txt

Hi, folks:
2.Add reference time and measurement interval associated with performance measurement data 3.Replace average-delay-value at the link level with low-delay-percentile, middle-delay-percentile and high-delay-percentile 4.Replace average-jitter-value at the link level with low-jitter-percentile, middle-jitter-percentile and high-jitter-percentile 5.Add low-percentile, middle-percentile, high-percentile at the network level Your comments and suggestions are welcome.

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2020年4月22日 16:32
收件人: [email-masked]
主题: I-D Action: draft-www-bess-yang-vpn-service-pm-06.txt

Abstract:

BESS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bess